Subject: Re: [PATCH v2 10/16] tag: change misleading --list <pattern> documentation

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Mar 2017 14:15:09 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Yes, all of this is correct, but not relevant to what I'm describing
> in the commit message, because I'm making a documentation change and
> describing how you *would* expect git to work if you read the
> *documentation*, not if you read the code.

OK.

>>> +-l::
>>> +--list::
>>> +     Activate the list mode. `git tag <pattern>` would try to create a
>>
>> Dont say <pattern> on this line.  It is `git tag <name>`.
>
> Makes sense, but this is something I copied as-is from git-branch.txt,
> which then has the same issue, so v3 will have yet another related
> patch...

I think you'd rather want to make it a single patch to be applied
and merged independently, as a fix to a documentation bug we somehow
noticed that is unrelated to the main theme of what we were working
to perfect ;-)

>> The "-l/-d/-v" options follow the last-one-wins rule, no?  Perhaps
>> also show how this one works in this test (while retitling it)?
>>
>>         git tag -d -v -l
>
> This will fail as tested for in "tag: add more incompatibles mode
> tests". We weren't testing "-d" with "-l", or this combination, I'll
> add both to the tests.

Thanks.